[submodule "onchain/lib/forge-std"]
	path = onchain/lib/forge-std
	url = https://github.com/foundry-rs/forge-std
[submodule "onchain/lib/solmate"]
	path = onchain/lib/solmate
	url = https://github.com/Rari-Capital/solmate
[submodule "onchain/lib/uni-v3-lib"]
	path = onchain/lib/uni-v3-lib
	url = https://github.com/Aperture-Finance/uni-v3-lib
	ignore = dirty
[submodule "onchain/lib/openzeppelin-contracts"]
	path = onchain/lib/openzeppelin-contracts
	url = https://github.com/openzeppelin/openzeppelin-contracts
[submodule "onchain/lib/abdk-libraries-solidity"]
	path = onchain/lib/abdk-libraries-solidity
	url = https://github.com/abdk-consulting/abdk-libraries-solidity
[submodule "onchain/lib/pt-v5-twab-controller"]
	path = onchain/lib/pt-v5-twab-controller
	url = https://github.com/GenerationSoftware/pt-v5-twab-controller
